# Put to Alpha version if you need alpha releases
%global alpha_version a07

# Expand version and url
%if 0%{?alpha_version:1}
%define alpha_url /alpha
%endif

Name:		cdrtools
Version:	3.02
Release:	%{?alpha_version}.1%{?dist}
Epoch:		10
Summary:	CD/DVD/BluRay command line recording software

Group:		Applications/Archiving
License:	CDDL
URL:		http://cdrecord.org/private/cdrecord.html
Source0:	http://downloads.sourceforge.net/project/cdrtools%{?alpha_url}/%{name}-%{version}%{?alpha_version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	gettext-devel e2fsprogs-devel

%description
A set of command line programs that allows to record CD/DVD/BluRay media.

%package devel
Summary:	Development files for cdrtools
Group:		Development/Libraries
Requires:	cdrecord = %{epoch}:%{version}-%{release}

%description devel
A set of command line programs that allows to record CD/DVD/BluRay media.
This development package contains static libraries and header files.


%package -n cdrecord
Summary:	Creates an image of an ISO9660 file system
Group:		Applications/Archiving
Obsoletes:	wodim < %{epoch}:
Provides:	wodim = %{epoch}:

%description -n cdrecord
A set of command line programs that allows to record CD/DVD/BluRay media.

%package -n mkisofs
Summary:	Creates an image of an ISO9660 file system
Group:		Applications/Archiving
Obsoletes:	genisoimage < %{epoch}:
Provides:	genisoimage = %{epoch}:

%description -n mkisofs
Create hybrid ISO9660/JOLIET/HFS file systems with Rock Ridge attributes.


%package -n cdda2wav
Summary:	A CD-Audio Grabbing tool
Group:		Applications/Multimedia
Obsoletes:	icedax < %{epoch}: 
Provides:	icedax = %{epoch}:

%description -n cdda2wav
The most evolved CD-audio extraction program with paranoia support.


%package -n btcflash
Summary:	Firmware flash utility for BTC DRW1008 DVD+/-RW recorder
Group:		Applications/System

%description -n btcflash
This is a firmware flash utility for BTC DRW1008 DVD+/-RW recorders.


%prep
%setup -q
#% patch0 -p0 -b .cdrecord-default
#% patch1 -p0

# convert files for german letters
# solves "cdrecord -version"
for i in $(find . -name "*.c") $(find . -name "*.1") $(find . -name "*.8") \
	cdda2wav/{README,THANKS} cdrecord/README* BUILD ABOUT INSTALL \
	CONTRIBUTING Changelog COMPILE AN-* mkisofs/ChangeLog; do
	iconv -f iso-8859-1 $i -t utf-8 -o $i.new && mv -f $i.new $i
done

sed -i -e 's@-R$(INS_BASE)/lib -R/opt/schily/lib@@g' DEFAULTS/* DEFAULTS_ENG/*

%build
export CFLAGS="$RPM_OPT_FLAGS"
make GMAKE_NOWARN=true INS_BASE=/usr INS_RBASE=/ MANDIR=man %{?_smp_mflags} \
	COPTX=-g LDOPTX=-g RUNPATH=

%install
rm -rf $RPM_BUILD_ROOT
make GMAKE_NOWARN=true INS_BASE=/usr INS_RBASE=/ DESTDIR=$RPM_BUILD_ROOT MANDIR=man install

# useless
rm -fr $RPM_BUILD_ROOT%{_libdir}/profiled
rm -fr $RPM_BUILD_ROOT%{_docdir}

# devel files
%ifarch x86_64
mkdir -p $RPM_BUILD_ROOT%{_libdir}
mv $RPM_BUILD_ROOT%{_libdir}/lib*.a $RPM_BUILD_ROOT%{_libdir}
%endif
chmod +w $RPM_BUILD_ROOT%{_libdir}/lib*.a
mkdir -p $RPM_BUILD_ROOT%{_includedir}/cdrecord
cp -a incs/*/*.h $RPM_BUILD_ROOT%{_includedir}/cdrecord

%clean
rm -rf $RPM_BUILD_ROOT


%files -n cdrecord
%defattr(-,root,root,-)
%doc cdrecord/README*
%config(noreplace) /etc/default/cdrecord
%config(noreplace) /etc/default/rscsi
%{_mandir}/man1/cdrecord.*.gz
%{_mandir}/man1/readcd.*.gz
%{_mandir}/man1/scgcheck.*.gz
%{_mandir}/man1/rscsi.*.gz
%{_mandir}/man1/scgskeleton.*.gz
%attr(4755, root, root) %{_bindir}/cdrecord
%{_bindir}/scgcheck
%{_bindir}/scgskeleton
%attr(4755, root, root) %{_bindir}/readcd
%attr(4755, root, root) %{_sbindir}/rscsi

%files -n btcflash
%defattr(-,root,root,-)
%{_mandir}/man1/btcflash.1.*
%{_bindir}/btcflash

%files devel
%defattr(-,root,root,-)
%doc ABOUT AN* BUILD CDDL.Schily.txt Changelog* COMPILE CONTRIBUTING COPYING GPL-2.0.txt INSTALL LGPL-2.1.txt PORTING START
%{_mandir}/man5/makefiles.5.gz
%{_mandir}/man5/makerules.5.gz
%{_mandir}/man3/*.gz
%{_libdir}/lib*.a
%{_includedir}/cdrecord
%{_includedir}/scg
%{_includedir}/schily

%files -n mkisofs
%defattr(-,root,root,-)
%doc mkisofs/ChangeLog mkisofs/ChangeLog.mkhybrid mkisofs/COPYING mkisofs/RELEASE mkisofs/TODO mkisofs/README*
/usr/lib/siconv/*
%{_bindir}/mkisofs
%{_bindir}/mkhybrid
%{_bindir}/isoinfo
%{_bindir}/devdump
%{_bindir}/isodump
%{_bindir}/isovfy
%{_bindir}/isodebug
%{_mandir}/man8/*

%files -n cdda2wav
%defattr(-,root,root,-)
%doc cdda2wav/FAQ cdda2wav/HOWTOUSE cdda2wav/NEEDED cdda2wav/TODO cdda2wav/THANKS cdda2wav/README
%{_mandir}/man1/cdda2wav.*.gz
%{_mandir}/man1/cdda2mp3.*.gz
%{_mandir}/man1/cdda2ogg.*.gz
%{_bindir}/cdda2mp3
%{_bindir}/cdda2ogg
%attr(4755, root, root) %{_bindir}/cdda2wav

%changelog
* Mon Jun 06 2011 Simone Caronni <negativo17@gmail.com> - 10:3.01-a05.1
- Updated.

* Mon May 09 2011 Simone Caronni <negativo17@gmail.com> - 10:3.01-a04.1
- Updated.

* Tue Mar 15 2011 Simone Caronni <negativo17@gmail.com> - 10:3.01-a03.1
- Updated.

* Tue Feb 08 2011 Simone Caronni <negativo17@gmail.com> - 10:3.01-a02.1
- Updated.

* Fri Dec 10 2010 Simone Caronni <negativo17@gmail.com> - 10:3.01-a01.2
- Fixed rpmlint errors.

* Tue Dec 07 2010 Simone Caronni <negativo17@gmail.com> - 3.01-a01.1
- Updated to 3.01a01.

* Mon Nov 29 2010 Simone Caronni <negativo17@gmail.com> - 3.00-4
- Remove linker paths.
- setuid for cdda2wav, readcd and rscsi.

* Fri Nov 26 2010 Roman Rakus <rrakus@redhat.com> - 3.00-2
- Fixed some rpmlint errors and warnings

* Thu Nov 25 2010 Simone Caronni <negativo17@gmail.com> - 3.00-1
- First build:
    +Patch default device to match standard Fedora behaviour, the first
     cdrom device setup by udev can be used without parameters.
    +Fix german letters in copyright.
    +Obsoletes cdrkit but provides its components for Anaconda, etc.
    +Epoch set to 10 to avoid loop problems with yum.
